## pd-tclpd 0.3.0

=== Makefile ===
## Pd library template version 1.0.13
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = tclpd

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = tclpd.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = 

# example patches and related files, in the 'examples' subfolder
EXAMPLES = bitmap-help.pd bitmap-madness.pd bitmap.tcl colorpicker.tcl dynreceive-help.pd dynreceive.tcl dynroute-help.pd dynroute.tcl list_change-help.pd list_change.tcl properties.tcl slider2-help.pd slider2.tcl

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = tclpd.i tclpd.h hashtable.h $(EXTRA_SOURCES) ChangeLog.txt AUTHORS.txt TODO.txt

# unit tests and related files here, in the 'unittests' subfolder
UNITTESTS = 

# tclpd-specific source files
# NOTE: modified to build and link these all into tclpd.pd_linux
EXTRA_SOURCES = hashtable.c tcl_class.c tcl_loader.c tcl_proxyinlet.c tcl_typemap.c tcl_widgetbehavior.c


#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)" -std=c99 -I/usr/include/tcl8.5 \
	-I/Library/Frameworks/Tcl.framework/Headers \
	-Wall -W -Wno-unused-parameter \
	-DHASHTABLE_COPY_KEYS
ALL_LDFLAGS = -fPIC
SHARED_LDFLAGS =
ALL_LIBS = 
LIBS_linux = -ltcl8.5
LIBS_macosx = -framework Tcl
LIBS_windows = -ltcl85 "$(LIBRARY_NAME).def"


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
DEBUG ?= 0
CFLAGS = -fno-tree-vectorize -fno-strict-aliasing -Wno-strict-aliasing
LDFLAGS =
LIBS =

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) \
	-undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  SHARED_LDFLAGS += -shared
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" \
	-lpd -lwsock32 -lkernel32 -luser32 -lgdi32 -liberty $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ifeq ($(DEBUG),1)
	ALL_CFLAGS += -O0 -g -ggdb -DDEBUG
	STRIP = echo
else
	ALL_CFLAGS += $(OPT_CFLAGS)
endif

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(wildcard lib$(LIBRARY_NAME).c)
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))
SHARED_TCL_LIB = $(wildcard lib$(LIBRARY_NAME).tcl)

.PHONY = install libdir_install single_install install-doc install-examples install-manual install-unittests clean distclean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

tclpd.$(EXTENSION): tclpd.o $(SHARED_LIB) $(EXTRA_SOURCES:.c=.o) tcl_wrap.o
	$(CC) $(ALL_LDFLAGS) -o "tclpd.$(EXTENSION)" tclpd.o $(EXTRA_SOURCES:.c=.o) tcl_wrap.o $(ALL_LIBS) $(SHARED_LIB)
	chmod a-x "tclpd.$(EXTENSION)"

tcl_wrap.c: tclpd.i tclpd.h Makefile
	swig -v -tcl -o tcl_wrap.c -I$(PD_INCLUDE) tclpd.i

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o lib$(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) \
		$(LIBRARY_NAME).o lib$(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)

test: tclpd.$(EXTENSION)
	make -C tests PD_PATH=$(PD_PATH)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) install-doc install-examples install-manual install-unittests
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(SHARED_LIB))" || \
		$(INSTALL_DATA) $(SHARED_LIB) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(PDOBJECTS))" || \

=== debian/changelog ===
pd-tclpd (0.3.0-3) unstable; urgency=medium

  * Use versioned dependency on puredata
  * Versioned B-D on puredata-dev
  * Added "Rules-Requires-Root: no"
  * Bumped standards-version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Jul 2018 13:07:03 +0200

pd-tclpd (0.3.0-2) unstable; urgency=medium

  * Build against tcl8.6-dev (Closes: #889032)
  * Fixed spelling error in long description
  * Removed broken "test" target
  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Updated d/watch
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:40:35 +0100

pd-tclpd (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #795898)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Aug 2015 23:58:38 +0200

=== debian/control ===
Source: pd-tclpd
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev (>= 0.48.1-5) | puredata,
 tcl8.6-dev,
 swig,
Standards-Version: 4.1.5
Rules-Requires-Root: no
Section: sound
Homepage: https://download.puredata.info/tclpd
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-tclpd.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-tclpd

Package: pd-tclpd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${puredata:Depends},
Description: Tcl objects for Pure Data (Pd)
 This library allows one to write externals for Pd using the Tcl language.
 It wraps the Pd API quite closely, and provides a small library of helper
 functions to be used for writing externals.
 .
 Using Tcl for writing objects in Pd has the advantage, the Tcl/Tk is already
 used as Pd's GUI toolkit, so no additional dependencies are required.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

pkglibdir = /usr/lib/pd/extra

CFLAGS += $(shell pkg-config --cflags pd)
LDFLAGS += $(shell pkg-config --libs pd)
LDFLAGS += -Wl,-as-needed

PD_VERSION := $(shell dpkg-query --show --showformat='$${source:Upstream-Version}' puredata-dev)


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vpuredata:Depends="puredata-core ( >= $(PD_VERSION) )"


licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=3
https://puredata.info/downloads/tclpd/releases/@ANY_VERSION@/tclpd-@ANY_VERSION@@ARCHIVE_EXT@

## pd-tclpd 0.3.1

=== Makefile ===
# Makefile to build loader 'tclpd' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = tclpd

cflags = -std=c99
ldlibs =

###########################################################
# Tcl stuff
TCL_CFLAGS=$(shell pkg-config --cflags tcl)
TCL_LIBS=$(shell pkg-config --libs tcl)

## Dawrin
# TCL_CFLAGS = -I/Library/Frameworks/Tcl.framework/Headers
# TCL_LIBS = -framework Tcl

## MSW
# TCL_CFLAGS =
# TCL_LIBS = -ltcl86 tclpd.def

cflags += -DHASHTABLE_COPY_KEYS $(TCL_CFLAGS)
ldlibs += $(TCL_LIBS)

#
###########################################################

# input source file (class name == source file basename)
tclpd.class.sources = tclpd.c
tclpd.class.sources += \
	hashtable.c \
	tcl_class.c \
	tcl_loader.c \
	tcl_proxyinlet.c \
	tcl_typemap.c \
	tcl_widgetbehavior.c \
	$(empty)
tclpd.class.sources += tcl_wrap.c

# all extra files to be included in binary distribution of the library
datafiles = \
	LICENSE.txt \
	README.txt \
	tclpd.tcl \
	tclpd-help.pd \
	tclpd-meta.pd

datadirs = examples

# include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
PDLIBBUILDER_DIR=pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder


# create the tcl wrapper with 'swig'
tcl_wrap.c: tclpd.i tclpd.h Makefile
	swig -v -tcl -o tcl_wrap.c -I$(PDINCLUDEDIR) tclpd.i
clean-local:
	rm -f tcl_wrap.c
clean: clean-local

=== tests/Makefile ===
all:
	@# check that test-system itself is functional
	@# TODO: check that this check is functional? :-D
	@sh runtest.sh helloworld
	@# basic output test - outputting correct selector/atoms
	@sh runtest.sh basic_output
	@# basic input test - dispatching to correct methods
	@sh runtest.sh basic_input
	@# atoms conversion test & binbuf retrieval
	@sh runtest.sh binbuf

clean:
	rm -fv *.out runtest-*.pd

=== debian/changelog ===
pd-tclpd (0.3.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:58:07 +0000

pd-tclpd (0.3.1-3) unstable; urgency=medium

  * Patch to use pd_error() instead of error() (Closes: #1066530)
  * B-D on pkgconf (but also accept legacy pkg-config)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 16 Mar 2024 23:35:42 +0100

pd-tclpd (0.3.1-2) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Add symlink from LICENSE.txt to GPL-2
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:52:47 +0100

pd-tclpd (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Switch to dh-sequence-pd-lib-builder
  * Add autopkgtest
  * B-D on unversioned tcl-dev
  * B-D on pkg-config
  * Add patch to honor cross-building when invoking pkg-config
  * Update d/watch
  * Update homepage stanza
  * Add upstream/metadata
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2022 16:57:42 +0100

pd-tclpd (0.3.0-5) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 16:54:22 +0200

pd-tclpd (0.3.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix FTCBFS: Defer stripping to dh_strip.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #958374)
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Bump dh-compat to 12
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 21 Apr 2020 15:40:08 +0200

=== debian/control ===
Source: pd-tclpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 dh-sequence-pd-lib-builder,
 pkgconf | pkg-config,
 swig,
 tcl-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: sound
Homepage: https://github.com/pd-externals/tclpd
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-tclpd.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-tclpd

Package: pd-tclpd
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Description: Tcl objects for Pure Data (Pd)
 This library allows one to write externals for Pd using the Tcl language.
 It wraps the Pd API quite closely, and provides a small library of helper
 functions to be used for writing externals.
 .
 Using Tcl for writing objects in Pd has the advantage, the Tcl/Tk is already
 used as Pd's GUI toolkit, so no additional dependencies are required.

=== debian/tests/control ===
Test-Command: make -C tests
Restrictions: allow-stderr
Depends:
 make,
 @,

## pd-tclpd 0.3.2

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,9 @@
 
 ###########################################################
 # Tcl stuff
-TCL_CFLAGS=$(shell pkg-config --cflags tcl)
-TCL_LIBS=$(shell pkg-config --libs tcl)
+PKG_CONFIG = pkg-config
+TCL_CFLAGS=$(shell $(PKG_CONFIG) --cflags tcl)
+TCL_LIBS=$(shell $(PKG_CONFIG) --libs tcl)
 
 ## Dawrin
 # TCL_CFLAGS = -I/Library/Frameworks/Tcl.framework/Headers

=== debian/changelog ===
pd-tclpd (0.3.2-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop B-D on obsolete pkg-config
  * Apply 'wrap-and-sort -ast'
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

  [ Alexandre Detiste ]
  * Remove obsolete dh-buildinfo build dependency

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Aug 2025 00:02:57 +0200

pd-tclpd (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
    + Drop obsolete patches
  * Switch to dh-sequence-puredata
    + Add puredata:Provides stanza
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Sep 2024 23:08:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: pd-tclpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
- dh-sequence-pd-lib-builder,
- pkgconf | pkg-config,
+ dh-sequence-puredata,
+ pkgconf,
  swig,
  tcl-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://github.com/pd-externals/tclpd
@@ -28,6 +26,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Tcl objects for Pure Data (Pd)
  This library allows one to write externals for Pd using the Tcl language.
  It wraps the Pd API quite closely, and provides a small library of helper

=== debian/tests/control ===
Test-Command: make -C tests
Restrictions:
 allow-stderr,
Depends:
 make,
 @,

=== debian/watch ===
version=4
opts=dversionmangle=auto \
  https://github.com/pd-externals/tclpd/tags .*/v?(\d\S*)\.tar\.gz
